// Qt2 interface for Ruby/Qt2
%module qte
%{ 


#define _SWIG_WRAP

#ifdef WIN32
  #include "canceldefs.h"
#endif

#include <qconfig.h>	// for reading configuration
#include <qfeatures.h>
#include <qglobal.h>
#include <qcolor.h>
#include <qcursor.h>
#include <qnamespace.h>
#include <qwindowdefs.h>
#include <qstring.h>
#include <qsignalmapper.h>
#include <qmime.h>
#include <qpen.h>
#include <qtextcodec.h>
//#include <qjiscodec.h>
//#include <qeucjpcodec.h>
//#include <qeuckrcodec.h>
//#include <qsjiscodec.h>
#include <qjpunicode.h>
#include <qaction.h>
#include <qbrush.h>
#include <qclipboard.h>
#include <qpalette.h>
#include <qdatetime.h>
#include <qdir.h>
#include <qfileinfo.h>
#include <qurl.h>
#include <qpoint.h>
#include <qrect.h>
#include <qsize.h>
#include <qlist.h>
#include <qobjectlist.h>
#include <qregion.h>
#include <qevent.h>
#include <qaccel.h>
#include <qsizepolicy.h>
#include <qabstractlayout.h>
#include <qlayout.h>
#include <qwindowsstyle.h>
#include <qsgistyle.h>
#include <qmotifstyle.h>
#include <qcdestyle.h>
#include <qplatinumstyle.h>
#include <qwidget.h>
#include <qcanvas.h>
#include <qcombobox.h>
#include <qscrollbar.h>
#include <qslider.h>
#include <qdial.h>
#include <qlcdnumber.h>
#include <qlineedit.h>
#include <qhbox.h>
#include <qvbox.h>
#include <qgrid.h>
#include <qsimplerichtext.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qtextview.h>
#include <qtextbrowser.h>
#include <qmultilineedit.h>
#include <qheader.h>
#include <qtable.h>
#include <qlistbox.h>
#include <qlistview.h>
#include <qiconview.h>
#include <qsplitter.h>
#include <qapplication.h>
#include <qdialog.h>
#include <qfiledialog.h>
#include <qfontdialog.h>
#include <qcolordialog.h>
#include <qprogressdialog.h>
#include <qinputdialog.h>
#include <qtabdialog.h>
#include <qwizard.h>
#include <qmessagebox.h>
#include <qwidgetstack.h>
#include <qwhatsthis.h>
#include <qwmatrix.h>
#include <qpaintdevice.h>
#include <qpaintdevicemetrics.h>
#include <qpixmap.h>
#include <qbitmap.h>
#include <qimage.h>
#include <qpicture.h>
#include <qpainter.h>
#include <qprinter.h>
#include <qpointarray.h>
#include <qregexp.h>
#include <qiconset.h>
#include <qmenudata.h>
#include <qmenubar.h>
#include <qtooltip.h>
#include <qtoolbar.h>
#include <qtoolbutton.h>
#include <qstatusbar.h>
#include <qmainwindow.h>
#include <qtranslator.h>
#include <qvariant.h>
#include <qvaluelist.h>
#include <qvalidator.h>
#include <qstringlist.h>
#include <qstrlist.h>
#include <qprogressbar.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <qbuttongroup.h>
#include <qhbuttongroup.h>
#include <qvbuttongroup.h>
#include <qwmatrix.h>
#include <qworkspace.h>
#include <qmovie.h>
#include <qvariant.h>
#include <qdatastream.h>
//#include <qgl.h>
//#include <qdom.h>
//#include <qxml.h>
//#include "qr2glwidget.h"

#include "swig_class_qte.h"
#include "ruby_include.h"
#include "qrobject.h"
#include "qrbfunction.h"
#include "qr2eventfilter.h"
#include "qrdialog.h"
#include "qrcustommenuitem.h"

#include "rubyproc.h"

#include "swig_class_qte.s"

#include "qrmovie.h"
//#include "qrcanvasrectangle.h"
//#include "qrcanvasview.h"
#include "qrwhatsthis.h"

//#include "swig_class_qt2_setkclass.s"

//#define static
#define SWIG_GLOBAL   

%}

%include typemaps.i
%include qt2typemaps.i


class QWidgetMapper {};
class QFocusData {};
class QMetaObject {};
class QMap {};
class QTab {};

class QUrlOperator {};

class QRgb {};

class QStyleSheet {};
class QRichText {};

//class QValueListIterator {};
//class QValueList {};

//for swig1.3.12pre
//class QList_QObject {};
class QListIterator_QObject {};
class QSemiModal {};

//configure which version you need!
#define LINUX
//#define WIN32

%include qconfig.i
%include qfeatures.i
%include qglobal.i
%include qnamespace.i
%include qwindowdefs.i
%include qobject.i
%include qbrush.i
%include qcolor.i
%include qclipboard.i
%include qdatetime.i
%include qlist.i
%include qobjectlist.i

%include qmime.i
%include qtextcodec.i
%include qjpunicode.i
//%include qjiscodec.i
//%include qsjiscodec.i
//%include qeucjpcodec.i
//%include qeuckrcodec.i

%include qarray.i
%include qfont.i
%include qfontinfo.i
%include qfontmetrics.i
%include qiconset.i
%include qiodevice.i
class QFile : public QIODevice {};
%include qpaintdevice.i
%include qpaintdevicemetrics.i
%include qimage.i
%include qpicture.i
%include qpen.i
%include qpixmap.i
%include qbitmap.i
%include qpalette.i
%include qcursor.i

%include qpoint.i
%include qrangecontrol.i
%include qrect.i
%include qregexp.i
%include qregion.i
%include qsimplerichtext.i
%include qsize.i
%include qsizepolicy.i
%include qcstring.i
%include qstring.i
%include qevent.i

%include qaccel.i
%include qaction.i
%include qapplication.i
%include qshared.i
%include qabstractlayout.i
%include qlayout.i
%include qstyle.i
%include qcommonstyle.i
//#%include qmotifstyle.i
//#%include qcdestyle.i
%include qwindowsstyle.i
//#%include qsgistyle.i
%include qsignalmapper.i

//#%include qplatinumstyle.i
%include qtimer.i
%include qtranslator.i
%include qwidget.i
class QTabBar : public QWidget {};
%include qcombobox.i 
%include qbutton.i

%include qpushbutton.i
%include qcheckbox.i
%include qradiobutton.i
%include qtoolbutton.i
%include qdialog.i
//#%include qfiledialog.i
//#%include qfontdialog.i
%include qrdialog.i
//#%include qcolordialog.i
//#%include qprogressdialog.i
//#%include qinputdialog.i
%include qtabdialog.i
//#%include qwizard.i
%include qmessagebox.i

%include qframe.i
%include qlabel.i
%include qheader.i
%include qwidgetstack.i

%include qscrollview.i
//%include qcanvas.i
%include qtextview.i
%include qtextbrowser.i
%include qsplitter.i
%include qspinbox.i 
%include qlistbox.i
%include qlistview.i
%include qdragobject.i
%include qiconview.i
%include qgrid.i
%include qhbox.i
%include qvbox.i

%include qlcdnumber.i
%include qmenudata.i
%include qrcustommenuitem.i
%include qmenubar.i
%include qpopupmenu.i
%include qtableview.i
//%include qtable.i
%include qlineedit.i
%include qmultilineedit.i
%include qmainwindow.i
%include qscrollbar.i
%include qslider.i
%include qdial.i
%include qtooltip.i
%include qstatusbar.i
%include qtoolbar.i
%include qprogressbar.i
%include qtabwidget.i
%include qgroupbox.i
%include qbuttongroup.i
%include qhbuttongroup.i
%include qvbuttongroup.i

//#%include qprinter.i
%include qpainter.i
%include qwhatsthis.i
%include qrwhatsthis.i
//#%include qwmatrix.i
//#%include qworkspace.i

%include qdir.i
%include qfileinfo.i
%include qurl.i
%include qvaluelist.i
%include qstringlist.i
%include qstrlist.i
%include qvalidator.i
//%include qxml.i
//%include qdom.i

%include qmovie.i
%include qrmovie.i

//%include qgl.i
//%include qr2glwidget.i
%include qvariant.i
%include qdatastream.i

%include qrobject.i
//%include qrcanvasrectangle.i
//%include qrcanvasview.i

