#
# extconf.rb
#
# Ruby/Qt2
# by N. Horie horie@snfs.u-shizuoka-ken.ac.jp 2000/12/07
#
# Modified for Ruby/Qte
# by T. Hidaka cv8t-hdk@asahi-net.or.jp 2002/09/30
#
# --with-qte-dir=/...  must be defined
#for example,
# ruby extconf.rb --with-qte-dir=/usr/lib/qt-2  
# makes Makefile

if(ARGV.size == 0)
  print "qte dir is not defined. QTDIR is used instead.\n"
  require "Env"
  exec("ruby extconf.rb --with-qte-dir=#{$QTDIR}")
end


require 'mkmf'

# --with-qte-dir=/usr/lib/qt-2
dir_config('qte')

dir_config('x11')
qte = with_config('qte','qte')
$CFLAGS += ' -I. -I../qte -DSWIG_GLOBAL -Os -w -DQWS -fno-rtti'

$libs = append_library($libs, 'qpe')
if have_library(qte,nil) and have_library('qpe', nil) and have_header('qtable.h')
  create_makefile('qtetable')
else
  print "You do not seem to have qt(+qtable) library. Plrease check qt or extconf.rb.\n"
end
